Opened 7 years ago

Closed 7 years ago

#42794 closed defect (fixed)

Current version of ngIRCd in ports has a known bug

Reported by: ender@… Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: Cc:
Port: ngIRCd

Description

Caution: ngIRCd 20, 20.1, and 20.2 contains an error that could crash the server daemon when the configuration option NoticeAuth is enabled (which is not the default). ngIRCd 20 and 20.1 both contain an additional error that allows arbitrary users to crash the server daemon. All installations should be updated to version 20.3 or newer!

Current version is ngIRCd 21

Change History (2)

comment:1 Changed 7 years ago by ryandesign (Ryan Schmidt)

Owner: changed from macports-tickets@… to ryandesign@…
Status: newassigned

comment:2 Changed 7 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: assignedclosed

Thanks for letting us know. Updated in r117756.

Note: See TracTickets for help on using tickets.